Subject: Re: [PATCH] Solaris: Use OLD_ICONV to avoid compile warnings

From: David Soria Parra <[email-masked]>
Date: Thu, 02 Oct 2008 12:09:26 +0200

Jeff King schrieb:
> Do you also unset NEEDS_LIBICONV (and which version of Solaris are you
> running)?  Our Makefile sets it to "yes" for Solaris 8, but my build box
> requires that it be unset. I'm not sure if my setup is somehow
> deficient, or if it is only other versions that need it.

I'm using OpenSolaris which is identified as SunOS 5.11. Therefore the 
Makefile doesn't set NEEDS_LIBICONV. I'm not sure if it's needed on 
Solaris 8 or not, but it's not needed on OpenSolaris.

David